Go to the latest version of this document.

# ``twisted`.`mail`.`pop3``

module documentation
(source)

Post-office Protocol version 3.

Authors
Glyph Lefkowitz
Jp Calderone

Class | `AdvancedPOP3Client` | A POP3 client protocol.
Class | `APOPCredentials` | Credentials for use in APOP authentication.
Class | `Mailbox` | A base class for mailboxes.
Class | `POP3` | A POP3 server protocol.
Class | `POP3Client` | A POP3 client protocol.
Exception | `InsecureAuthenticationDisallowed` | An error indicating secure authentication was required but no mechanism could be found.
Exception | `LineTooLong` | An error indicating that the server sent a line which exceeded the maximum line length (`LineOnlyReceiver.MAX_LENGTH`).
Exception | `POP3ClientError` | The base class for all exceptions raised by POP3Client.
Exception | `POP3Error` | The base class for POP3 errors.
Exception | `ServerErrorResponse` | An error indicating that the server returned an error response to a request.
Exception | `TLSError` | An error indicating secure authentication was required but either the transport does not support TLS or no TLS context factory was supplied.
Exception | `TLSNotSupportedError` | An error indicating secure authentication was required but the server does not support TLS.
Function | `formatListLines` | Format a list of message sizes for use in a LIST response.
Function | `formatListResponse` | Format a list of message sizes into a complete LIST response.
Function | `formatStatResponse` | Format a list of message sizes into a STAT response.
Function | `formatUIDListLines` | Format a list of message sizes for use in a UIDL response.
Function | `formatUIDListResponse` | Format a list of message sizes into a complete UIDL response.
Function | `iterateLineGenerator` | Direct the output of an iterator to the transport of a protocol and arrange for iteration to take place.
Function | `successResponse` | Format an object as a positive response.
Constant | `NEXT` | Undocumented
Variable | `FIRST_LONG` | Undocumented
Variable | `LONG` | Undocumented
Variable | `NONE` | Undocumented
Variable | `SHORT` | Undocumented
Class | `_HeadersPlusNLines` | A utility class to retrieve the header and some lines of the body of a mail message.
Class | `_IteratorBuffer` | An iterator which buffers the elements of a container and periodically passes them as input to a writer.

def formatListLines(msgs): (source)

Format a list of message sizes for use in a LIST response.

Parameters
msgs:`list` of `int` | A list of message sizes.

Returns
`bytes` | Yields a series of strings that are suitable for use as scan listings in a LIST response. Each string consists of a message number and its size in octets.

def formatListResponse(msgs): (source)

Format a list of message sizes into a complete LIST response.

This generator function is intended to be used with `Cooperator`.

Parameters
msgs:`list` of `int` | A list of message sizes.

Returns
`bytes` | Yields a series of strings which make up a complete LIST response.

def formatStatResponse(msgs): (source)

Format a list of message sizes into a STAT response.

This generator function is intended to be used with `Cooperator`.

Parameters
msgs:`list` of `int` | A list of message sizes.

Returns
`None` or `bytes` | Yields none until a result is available, then a string that is suitable for use in a STAT response. The string consists of the number of messages and the total size of the messages in octets.

def formatUIDListLines(msgs, getUidl): (source)

Format a list of message sizes for use in a UIDL response.

Parameters
msgs | See `formatUIDListResponse`
getUidl | See `formatUIDListResponse`

Returns
`bytes` | Yields a series of strings that are suitable for use as unique-id listings in a UIDL response. Each string consists of a message number and its unique id.

def formatUIDListResponse(msgs, getUidl): (source)

Format a list of message sizes into a complete UIDL response.

This generator function is intended to be used with `Cooperator`.

Parameters
msgs:`list` of `int` | A list of message sizes.
getUidl:one-argument callable returning bytes | A callable which takes a message index number and returns the UID of the corresponding message in the mailbox.

Returns
`bytes` | Yields a series of strings which make up a complete UIDL response.

def iterateLineGenerator(proto, gen): (source)

Direct the output of an iterator to the transport of a protocol and arrange for iteration to take place.

Parameters
proto:`POP3` | A POP3 server protocol.
gen:iterator which yields `bytes` | An iterator over strings.

Returns
`Deferred` | A deferred which fires when the iterator finishes.

def successResponse(response): (source)

Format an object as a positive response.

Parameters
response:stringifyable `object` | An object with a string representation.

Returns
`bytes` | A positive POP3 response string.

NEXT: `dict` = (source)

Undocumented

Value

    {}

FIRST_LONG = (source)

Undocumented

LONG = (source)

Undocumented

NONE = (source)

Undocumented

SHORT = (source)

Undocumented